Bug 1224912 - [RFE] Please add a filter "Last modified by translators other than <user>"
[RFE] Please add a filter "Last modified by translators other than <user>"
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
3.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.8
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-26 04:03 EDT by Yuko Katabami
Modified: 2016-01-20 20:40 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.8.0-SNAPSHOT (git-server-3.6.2-551-geff6365)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 20:40:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yuko Katabami 2015-05-26 04:03:01 EDT
Description of problem:

Zanata currently has "last modified by" filter but it would be convenient if we could also have a filter "Last modified by translators other than <user>" when a user would like to review translations done by other translators.

This is particularly useful if we do not know who have edited a particular project, in external instance of Zanata, to which anyone who has an account and is a member of the language group can edit the translations.
Comment 1 Michelle Kim 2015-06-10 18:45:21 EDT
Hi Carlos,

Can I ask you to assign this RFE to someone in the team to estimate the points?
So this is RFE is to add new filtering option in our search box in our editor to find strings that was last modified by translator other than <user>.

For example, if I want to find strings that are translated by someone other than username <blah>, i will use the filtering to find all the other strings translated by other translators. This main use case is for review purpose, when you want to do a review of translations done by others.

Thanks
Michelle
Comment 2 Carlos Munoz 2015-06-10 20:17:10 EDT
Assigning to Alex for investigation.
Comment 3 Luke Brooker 2015-06-10 21:06:33 EDT
Would it make more sense to just add a "-" in front of a username when using the last modified by filter?

Like gmail https://support.google.com/mail/answer/7190?hl=en&rd=1

e.g. last-modified-by:-lbrooker@redhat.com

This could then be applied to other situations or even words.

e.g. Jboss -EAP

This should make it more flexible.
Comment 4 Luke Brooker 2015-06-10 21:09:50 EDT
Or possibly add it before the typo, like Github does:
https://help.github.com/articles/searching-issues/#search-by-the-labels-on-an-issue

e.g. -last-modified-by:lbrooker@redhat.com
Comment 5 Alex Eng 2015-06-11 02:03:26 EDT
If going forward with the "-" implementation, only FilterContraintToQuery class will be affected. 

- Parsing the "-" as exclude term param and handle it.
- if exclude, that means only show translations 
  - from anonymous user 
  - or that are not from given username.
Comment 6 Alex Eng 2015-07-06 19:56:32 EDT
Pull request:
https://github.com/zanata/zanata-server/pull/895
Comment 7 Alex Eng 2015-07-06 20:30:19 EDT
Implementation:

Going forward with "-" for exclude in search.
Comment 8 Damian Jansen 2015-07-06 21:09:44 EDT
Verified at eff63659f4f4bf8126eecc533cb40e117396e03d

Note You need to log in before you can comment on or make changes to this bug.